import { INIT_PAYMENTS_COMPANY } from '@/constants/actionTypes'
import { SET_SELECTED_COMPANY, SET_SELECTED_CURRENCY_COMPANY } from '@/constants/mutationTypes'

const initialState = {
    company: null,
    currencyCompany: null
}

const state = {
    company: initialState.company,
    currencyCompany: initialState.currencyCompany
}

const getters = {
    /**
     * [company description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    company(state) {
        return state.company
    },
    /**
     * [currencyCompany description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    currencyCompany(state) {
        return state.currencyCompany
    }
}

const mutations = {
    /**
     * [company description]
     * @param  {[type]} state [description]
     * @param  {[type]} payload [description]
     */
    [SET_SELECTED_COMPANY] (state, payload) {
        state.company = payload
    },
    /**
     * [currencyCompany description]
     * @param  {[type]} state [description]
     * @param  {[type]} payload [description]
     */
    [SET_SELECTED_CURRENCY_COMPANY] (state, payload) {
        state.currencyCompany = payload
    }
}
const actions = {
    [INIT_PAYMENTS_COMPANY] ({commit}, payload) {
        console.log(payload);
        commit(SET_SELECTED_COMPANY,payload.company)
        commit(SET_SELECTED_CURRENCY_COMPANY, payload.currency)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
