import Vue from 'vue'
import Vuex from 'vuex'

import actions from '@/store/actions'

import date from '@/store/modules/date'
import user from '@/store/modules/user'
import customers from '@/store/modules/customers'
import journals from '@/store/modules/journals'
import currency  from '@/store/modules/currency'
import company  from '@/store/modules/company'

Vue.use(Vuex)

const store = new Vuex.Store({
    actions,
    modules: {
        date,
        user,
        company,
        customers,
        // journals,
        // currency
    },
    strict: true
})

export default store
