import { INIT_PAYMENTS_JOURNALS } from '@/constants/actionTypes'
import { SET_JOURNALS, SET_LOADING_JOURNALS} from '@/constants/mutationTypes'

const initialState ={
    journals: null,
    loadingJournal: false
}
const state = {
    journals: initialState.journals,
    loadingJournal: initialState.loadingJournal
}
const getters = {
    /**
     * [journals description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    journals(state) {
        return state.journals
    },
    /**
     * [loadingJournal description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    loadingJournal(state) {
        return state.loadingJournal
    }
}
const mutations = {
    /**
     * [journals description]
     * @param  {[type]} state [description]
     * @param  {[type]} payload [description]
     */
    [SET_JOURNALS] (state, payload) {
        state.journals = payload
    },
    /**
     * [loadingJournal description]
     * @param  {[type]} state [description]
     * @param  {[type]} payload [description]
     */
    [SET_LOADING_JOURNALS] (state, payload) {
        state.loadingJournal = !!payload
    }

}

const actions = {
    /**
     *
     * @param {*} param0
     * @param {*} payload
     */
    [INIT_PAYMENTS_JOURNALS] ({ commit },payload ) {
        commit(SET_JOURNALS, payload)
        commit(SET_LOADING_JOURNALS, payload)
    }

}

export default {
    state,
    getters,
    mutations,
    actions
}
